Loading...
Searching...
No Matches
cholesky.cpp File Reference

Efficient incomplete Cholesky on rank-deficient matrices, todo: constrained Cholesky. More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

pair< size_t, bool > | gtsam::choleskyCareful (Matrix &ATA, int order=-1)
| "Careful" Cholesky computes the positive square-root of a positive symmetric semi-definite matrix (i.e.
bool | gtsam::choleskyPartial (Matrix &ABC, size_t nFrontal, size_t topleft=0)
| Partial Cholesky computes a factor [R S such that [R' 0 [R S = [A B 0 L] S' I] 0 L] B' C].

## Detailed Description

Efficient incomplete Cholesky on rank-deficient matrices, todo: constrained Cholesky.

Author
  Richard Roberts
  Frank Dellaert

Date
  Nov 5, 2010